<!DOCTYPE HTML>
<html lang="it">
<head>
<!-- Generated by javadoc (17) on Tue Apr 09 16:33:00 CEST 2024 -->
<title>G-Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2024-04-09">
<meta name="description" content="index: G">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../EsercizioPalestra/package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html#index">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">G</a>&nbsp;<a href="index-6.html">I</a>&nbsp;<a href="index-7.html">M</a>&nbsp;<a href="index-8.html">N</a>&nbsp;<a href="index-9.html">R</a>&nbsp;<a href="index-10.html">S</a>&nbsp;<a href="index-11.html">T</a>&nbsp;<a href="index-12.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a>
<h2 class="title" id="I:G">G</h2>
<dl class="index">
<dt><a href="../EsercizioPalestra/GestionePalestra.html" class="type-name-link" title="class in EsercizioPalestra">GestionePalestra</a> - Class in <a href="../EsercizioPalestra/package-summary.html">EsercizioPalestra</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../EsercizioPalestra/GestionePalestra.html#%3Cinit%3E()" class="member-name-link">GestionePalestra()</a> - Constructor for class EsercizioPalestra.<a href="../EsercizioPalestra/GestionePalestra.html" title="class in EsercizioPalestra">GestionePalestra</a></dt>
<dd>
<div class="block">Costruttore  che inizializza lista degli abbonamenti dei membri della palestra e lista classi.</div>
</dd>
<dt><a href="../EsercizioPalestra/GestionePalestra.html#%3Cinit%3E(java.util.Map,java.util.List)" class="member-name-link">GestionePalestra(Map&lt;String, TipologiaAbbonamento&gt;, List&lt;ClasseDiAllenamento&gt;)</a> - Constructor for class EsercizioPalestra.<a href="../EsercizioPalestra/GestionePalestra.html" title="class in EsercizioPalestra">GestionePalestra</a></dt>
<dd>
<div class="block">Costruttore della classe completo</div>
</dd>
<dt><a href="../EsercizioPalestra/Membro.html#getAbbonamento()" class="member-name-link">getAbbonamento()</a> - Method in class EsercizioPalestra.<a href="../EsercizioPalestra/Membro.html" title="class in EsercizioPalestra">Membro</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../EsercizioPalestra/Istruttore.html#getAnniEsperienza()" class="member-name-link">getAnniEsperienza()</a> - Method in class EsercizioPalestra.<a href="../EsercizioPalestra/Istruttore.html" title="class in EsercizioPalestra">Istruttore</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../EsercizioPalestra/Membro.html#getCognome()" class="member-name-link">getCognome()</a> - Method in class EsercizioPalestra.<a href="../EsercizioPalestra/Membro.html" title="class in EsercizioPalestra">Membro</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../EsercizioPalestra/Membro.html#getDataIscrizione()" class="member-name-link">getDataIscrizione()</a> - Method in class EsercizioPalestra.<a href="../EsercizioPalestra/Membro.html" title="class in EsercizioPalestra">Membro</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../EsercizioPalestra/ClasseDiAllenamento.html#getGiornoClasse()" class="member-name-link">getGiornoClasse()</a> - Method in class EsercizioPalestra.<a href="../EsercizioPalestra/ClasseDiAllenamento.html" title="class in EsercizioPalestra">ClasseDiAllenamento</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../EsercizioPalestra/Membro.html#getIdMembro()" class="member-name-link">getIdMembro()</a> - Method in class EsercizioPalestra.<a href="../EsercizioPalestra/Membro.html" title="class in EsercizioPalestra">Membro</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../EsercizioPalestra/ClasseDiAllenamento.html#getIstruttore()" class="member-name-link">getIstruttore()</a> - Method in class EsercizioPalestra.<a href="../EsercizioPalestra/ClasseDiAllenamento.html" title="class in EsercizioPalestra">ClasseDiAllenamento</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../EsercizioPalestra/GestionePalestra.html#getListaClassi()" class="member-name-link">getListaClassi()</a> - Method in class EsercizioPalestra.<a href="../EsercizioPalestra/GestionePalestra.html" title="class in EsercizioPalestra">GestionePalestra</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../EsercizioPalestra/ClasseDiAllenamento.html#getListaMembri()" class="member-name-link">getListaMembri()</a> - Method in class EsercizioPalestra.<a href="../EsercizioPalestra/ClasseDiAllenamento.html" title="class in EsercizioPalestra">ClasseDiAllenamento</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../EsercizioPalestra/GestionePalestra.html#getMappaAbbonamentiMembri()" class="member-name-link">getMappaAbbonamentiMembri()</a> - Method in class EsercizioPalestra.<a href="../EsercizioPalestra/GestionePalestra.html" title="class in EsercizioPalestra">GestionePalestra</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../EsercizioPalestra/Membro.html#getNome()" class="member-name-link">getNome()</a> - Method in class EsercizioPalestra.<a href="../EsercizioPalestra/Membro.html" title="class in EsercizioPalestra">Membro</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../EsercizioPalestra/ClasseDiAllenamento.html#getNomeClasse()" class="member-name-link">getNomeClasse()</a> - Method in class EsercizioPalestra.<a href="../EsercizioPalestra/ClasseDiAllenamento.html" title="class in EsercizioPalestra">ClasseDiAllenamento</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../EsercizioPalestra/ClasseDiAllenamento.html#getNumeroMaxPartecipanti()" class="member-name-link">getNumeroMaxPartecipanti()</a> - Method in class EsercizioPalestra.<a href="../EsercizioPalestra/ClasseDiAllenamento.html" title="class in EsercizioPalestra">ClasseDiAllenamento</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../EsercizioPalestra/ClasseDiAllenamento.html#getOrarioClasse()" class="member-name-link">getOrarioClasse()</a> - Method in class EsercizioPalestra.<a href="../EsercizioPalestra/ClasseDiAllenamento.html" title="class in EsercizioPalestra">ClasseDiAllenamento</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../EsercizioPalestra/Istruttore.html#getSpecializzazione()" class="member-name-link">getSpecializzazione()</a> - Method in class EsercizioPalestra.<a href="../EsercizioPalestra/Istruttore.html" title="class in EsercizioPalestra">Istruttore</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../EsercizioPalestra/ClasseDiAllenamento.html#getVoti()" class="member-name-link">getVoti()</a> - Method in class EsercizioPalestra.<a href="../EsercizioPalestra/ClasseDiAllenamento.html" title="class in EsercizioPalestra">ClasseDiAllenamento</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../EsercizioPalestra/TipologiaAbbonamento.html#GIORNALIERO" class="member-name-link">GIORNALIERO</a> - Enum constant in enum class EsercizioPalestra.<a href="../EsercizioPalestra/TipologiaAbbonamento.html" title="enum class in EsercizioPalestra">TipologiaAbbonamento</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">G</a>&nbsp;<a href="index-6.html">I</a>&nbsp;<a href="index-7.html">M</a>&nbsp;<a href="index-8.html">N</a>&nbsp;<a href="index-9.html">R</a>&nbsp;<a href="index-10.html">S</a>&nbsp;<a href="index-11.html">T</a>&nbsp;<a href="index-12.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a></main>
</div>
</div>
</body>
</html>
